Get the scrobbles chart
curl --request GET \
--url https://api.rocksky.app/xrpc/app.rocksky.charts.getScrobblesChartimport requests
url = "https://api.rocksky.app/xrpc/app.rocksky.charts.getScrobblesChart"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.rocksky.app/xrpc/app.rocksky.charts.getScrobblesChart', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.rocksky.app/xrpc/app.rocksky.charts.getScrobblesChart",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.rocksky.app/xrpc/app.rocksky.charts.getScrobblesChart"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.rocksky.app/xrpc/app.rocksky.charts.getScrobblesChart")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.rocksky.app/xrpc/app.rocksky.charts.getScrobblesChart")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"scrobbles": [
{
"date": "2023-11-07T05:31:56Z",
"count": 123
}
]
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}app.rocksky.charts
Get the scrobbles chart
GET
/
app.rocksky.charts.getScrobblesChart
Get the scrobbles chart
curl --request GET \
--url https://api.rocksky.app/xrpc/app.rocksky.charts.getScrobblesChartimport requests
url = "https://api.rocksky.app/xrpc/app.rocksky.charts.getScrobblesChart"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.rocksky.app/xrpc/app.rocksky.charts.getScrobblesChart', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.rocksky.app/xrpc/app.rocksky.charts.getScrobblesChart",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.rocksky.app/xrpc/app.rocksky.charts.getScrobblesChart"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.rocksky.app/xrpc/app.rocksky.charts.getScrobblesChart")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.rocksky.app/xrpc/app.rocksky.charts.getScrobblesChart")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"scrobbles": [
{
"date": "2023-11-07T05:31:56Z",
"count": 123
}
]
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Query Parameters
The DID or handle of the actor
The URI of the artist to filter by
The URI of the album to filter by
The URI of the track to filter by
The genre to filter by
Start date (ISO 8601). Defaults to 6 months ago.
End date (ISO 8601). Defaults to today.
Response
Success
Show child attributes
Show child attributes